QGIS Application - Bug report #19483
Saving rasters in Rasterlite2 format is not possible
2018-07-25 03:08 PM - Alexander Bruy

Status: Closed

Priority: Normal

Assignee: Even Rouault

Category: Rasters

Affected QGIS version:3.3(master) Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 27311
Description

When QGIS build against GDAL with RasterLite2 support, corresponding format listed in the "Save Raster Layer as..." dialog. However,
saving raster in this format is not possible: QGIS generates empty SQLite database but does not populate it with raster data.

Associated revisions

Revision d2a7668c - 2018-09-22 04:47 PM - Even Rouault

Raster: do not list RasterLite2 as a supported output format, and use a helper for every call site (fixes #19483)

Revision 208571a8 - 2018-09-23 03:52 PM - Even Rouault

Merge pull request #7984 from rouault/fix_19483

Raster: do not list RasterLite2 as a supported output format, and use a helper for every call site (fixes #19483)

History

#1 - 2018-09-22 04:35 PM - Even Rouault
- Assignee set to Even Rouault

- Status changed from Open to In Progress

Actually RasterLite2 only supports CreateCopy(), and not Create(). So it shouldn't be listed

#2 - 2018-09-23 03:51 PM - Even Rouault
- % Done changed from 0 to 100
- Status changed from In Progress to Closed

Applied in changeset commit:qgis|d2a7668c1674816833b316c06f80064301¢c68cd3.
